| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
cv::gapi::ov::Params< cv::gapi::Generic > Class Reference

`#include <opencv2/gapi/infer/ov.hpp>`

Collaboration diagram for cv::gapi::ov::Params< cv::gapi::Generic >:

## Public Member Functions
| Params (const std::string &tag, const std::string &blob_path, const std::string &device)
| Params (const std::string &tag, const std::string &model_path, const std::string &bin_path, const std::string &device)
| Class constructor.
GBackend | backend () const
Params & | cfgInputModelLayout (detail::AttrMap< std::string > layout_map)
Params & | cfgInputModelLayout (std::string layout)
Params & | cfgInputTensorLayout (detail::AttrMap< std::string > layout_map)
Params & | cfgInputTensorLayout (std::string layout)
Params & | cfgMean (detail::AttrMap< std::vector< float > > mean_map)
Params & | cfgMean (std::vector< float > mean_values)
Params & | cfgNumRequests (const size_t nireq)
Params & | cfgOutputModelLayout (detail::AttrMap< std::string > layout_map)
Params & | cfgOutputModelLayout (std::string layout)
Params & | cfgOutputTensorLayout (detail::AttrMap< std::string > layout_map)
Params & | cfgOutputTensorLayout (std::string layout)
Params & | cfgOutputTensorPrecision (detail::AttrMap< int > precision_map)
Params & | cfgOutputTensorPrecision (int precision)
Params & | cfgPluginConfig (const detail::ParamDesc::PluginConfigT &config)
Params & | cfgReshape (detail::AttrMap< std::vector< size_t > > new_shape_map)
Params & | cfgReshape (std::vector< size_t > new_shape)
Params & | cfgResize (detail::AttrMap< int > interpolation)
Params & | cfgResize (int interpolation)
Params & | cfgScale (detail::AttrMap< std::vector< float > > scale_map)
Params & | cfgScale (std::vector< float > scale_values)
cv::util::any | params () const
std::string | tag () const

## Protected Attributes
detail::ParamDesc | m_desc
std::string | m_tag

## Constructor & Destructor Documentation

## ◆ Params() [1/2]

cv::gapi::ov::Params< cv::gapi::Generic >::Params | ( | const std::string & | tag,
|  | const std::string & | model_path,
|  | const std::string & | bin_path,
|  | const std::string & | device )
| inline

Class constructor.

Constructs Params based on model information and specifies default values for other inference description parameters. Model is loaded and compiled using "OpenVINO Toolkit".

Parameters

  tag | string tag of the network for which these parameters are intended.
  model_path | Path to a model.
  bin_path | Path to a data file. For IR format (*.bin): If path is empty, will try to read a bin file with the same name as xml. If the bin file with the same name is not found, will load IR without weights. For PDPD (*.pdmodel) and ONNX (*.onnx) formats bin_path isn't used.
  device | target device to use.

## ◆ Params() [2/2]

cv::gapi::ov::Params< cv::gapi::Generic >::Params | ( | const std::string & | tag,
|  | const std::string & | blob_path,
|  | const std::string & | device )
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

This constructor for pre-compiled networks. Model is imported from pre-compiled blob.

Parameters

  tag | string tag of the network for which these parameters are intended.
  blob_path | path to the compiled model (*.blob).
  device | target device to use.

## Member Function Documentation

## ◆ backend()

GBackend cv::gapi::ov::Params< cv::gapi::Generic >::backend | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ cfgInputModelLayout() [1/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgInputModelLayout | ( | detail::AttrMap< std::string > | layout_map | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Here is the call graph for this function:

## ◆ cfgInputModelLayout() [2/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgInputModelLayout | ( | std::string | layout | ) |
| inline

See also
  ov::Params::cfgInputModelLayout.

Here is the call graph for this function:

## ◆ cfgInputTensorLayout() [1/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgInputTensorLayout | ( | detail::AttrMap< std::string > | layout_map | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Here is the call graph for this function:

## ◆ cfgInputTensorLayout() [2/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgInputTensorLayout | ( | std::string | layout | ) |
| inline

See also
  ov::Params::cfgInputTensorLayout.

Here is the call graph for this function:

## ◆ cfgMean() [1/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgMean | ( | detail::AttrMap< std::vector< float > > | mean_map | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Here is the call graph for this function:

## ◆ cfgMean() [2/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgMean | ( | std::vector< float > | mean_values | ) |
| inline

See also
  ov::Params::cfgMean.

Here is the call graph for this function:

## ◆ cfgNumRequests()

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgNumRequests | ( | const size_t | nireq | ) |
| inline

See also
  ov::Params::cfgNumRequests.

Here is the call graph for this function:

## ◆ cfgOutputModelLayout() [1/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgOutputModelLayout | ( | detail::AttrMap< std::string > | layout_map | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Here is the call graph for this function:

## ◆ cfgOutputModelLayout() [2/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgOutputModelLayout | ( | std::string | layout | ) |
| inline

See also
  ov::Params::cfgOutputModelLayout.

Here is the call graph for this function:

## ◆ cfgOutputTensorLayout() [1/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgOutputTensorLayout | ( | detail::AttrMap< std::string > | layout_map | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Here is the call graph for this function:

## ◆ cfgOutputTensorLayout() [2/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgOutputTensorLayout | ( | std::string | layout | ) |
| inline

See also
  ov::Params::cfgOutputTensorLayout.

Here is the call graph for this function:

## ◆ cfgOutputTensorPrecision() [1/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgOutputTensorPrecision | ( | detail::AttrMap< int > | precision_map | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Here is the call graph for this function:

## ◆ cfgOutputTensorPrecision() [2/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgOutputTensorPrecision | ( | int | precision | ) |
| inline

See also
  ov::Params::cfgOutputTensorPrecision.

Here is the call graph for this function:

## ◆ cfgPluginConfig()

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgPluginConfig | ( | const detail::ParamDesc::PluginConfigT & | config | ) |
| inline

See also
  ov::Params::cfgPluginConfig.

## ◆ cfgReshape() [1/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgReshape | ( | detail::AttrMap< std::vector< size_t > > | new_shape_map | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Here is the call graph for this function:

## ◆ cfgReshape() [2/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgReshape | ( | std::vector< size_t > | new_shape | ) |
| inline

See also
  ov::Params::cfgReshape.

Here is the call graph for this function:

## ◆ cfgResize() [1/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgResize | ( | detail::AttrMap< int > | interpolation | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Here is the call graph for this function:

## ◆ cfgResize() [2/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgResize | ( | int | interpolation | ) |
| inline

See also
  ov::Params::cfgResize.

Here is the call graph for this function:

## ◆ cfgScale() [1/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgScale | ( | detail::AttrMap< std::vector< float > > | scale_map | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Here is the call graph for this function:

## ◆ cfgScale() [2/2]

Params & cv::gapi::ov::Params< cv::gapi::Generic >::cfgScale | ( | std::vector< float > | scale_values | ) |
| inline

See also
  ov::Params::cfgScale.

Here is the call graph for this function:

## ◆ params()

cv::util::any cv::gapi::ov::Params< cv::gapi::Generic >::params | ( |  | ) | const
| inline

## ◆ tag()

std::string cv::gapi::ov::Params< cv::gapi::Generic >::tag | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ m_desc

detail::ParamDesc cv::gapi::ov::Params< cv::gapi::Generic >::m_desc
| protected

## ◆ m_tag

std::string cv::gapi::ov::Params< cv::gapi::Generic >::m_tag
| protected

The documentation for this class was generated from the following file:

- opencv2/gapi/infer/ov.hpp